Skip to main content
GET
/
v1
/
tenants
/
{id}
/
roles
/
{roleId}
Get tenant role
curl --request GET \
  --url https://staging.api.us.aptlydone.com/auth/v1/tenants/{id}/roles/{roleId} \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-12T09:10:12.337Z",
  "message": "Success",
  "data": {
    "id": "955aa514-ab2c-4277-9b07-1e22761528b2",
    "roleName": "so through",
    "tenantId": "6d188158-b229-4acc-aea2-bae43e166f3a",
    "description": "noisily provided which hourly black supposing bourgeoisie meaty integer yarmulke",
    "isCustom": true,
    "canDeactivate": true,
    "status": "ACTIVE",
    "isDeleted": false,
    "deletedOn": "2025-04-01T19:45:37.028Z",
    "isDeactivated": false,
    "deactivatedOn": "2025-06-26T21:47:10.121Z",
    "createdOn": "2026-01-12T08:23:02.411Z",
    "updatedOn": "2026-01-12T07:18:22.373Z",
    "roleId": "10000",
    "usersCount": 7,
    "relationshipMappings": [
      {
        "relationshipKeyName": "create:documents",
        "isEnabled": true,
        "status": "ACTIVE"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
roleId
string
required

Response

200 - application/json

Tenant role fetched successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-12T09:10:12.337Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data